package main

import (
	"code.byted.org/caijing_pay/tp_golang_applet/tt_pay"
	"code.byted.org/caijing_pay/tp_golang_applet/tt_pay/util"
	"context"
	"fmt"
)

func main() {
	util.SetDebugMode(true)

	p := "" // 填写您收到的回调参数

	req := new(tt_pay.RefundNotifyRequest)
	req.SetParam(p)

	ctx := context.Background()
	resp, err := tt_pay.RefundNotify(ctx, req)

	if err != nil {
		fmt.Printf("Request failed! \nRequest:\n  [%#v]\nError:\n  [%s]\n", req, err)
		return
	}
	fmt.Printf("Request succeeded! \nRequest:\n [%#v]\nResponse:\n  [%#v]\n", req, resp)
}
